Bug 167005 - New port: devel/swig20
Summary: New port: devel/swig20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-16 18:10 UTC by Jason W. Bacon
Modified: 2012-04-24 13:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2012-04-16 18:10:03 UTC
SWIG is a tool for automatically generating the wrapper code needed
to link collections of functions written in C/C++ with other
programming languages.

Using SWIG, it is possible to greatly simplify interface development
and to put interesting interfaces on existing applications with
little effort.    

WWW:	http://www.swig.org/

SWIG 2.0 is required by the few remaining components of FEniCS (py-instant 1.0.0, ufc, and dolfin) which are not yet committed, but nearly ready.  PRs will be submitted after they are re-tested with the committed swig20 port.

This port can coexist with swig13 (although swig13 should probably also use dirrmtry for DATADIR, DOCSDIR, and EXAMPLESDIR, which are shared by both ports).

The maintainer of swig13 has indicated that he is not interested in maintaining swig20 at this time, and wants to keep swig13 in the tree.

Fix: 

Shar file too big for form.  Download here:

http://personalpages.tds.net/~jwbacon/Ports/distfiles/swig20-shar.txt
Comment 1 Wen Heping freebsd_committer 2012-04-18 07:27:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-04-24 13:24:04 UTC
wen         2012-04-24 12:23:50 UTC

  FreeBSD ports repository

  Modified files:
    devel/swig20         Makefile distinfo pkg-descr pkg-plist 
  Added files:
    devel/swig20/files   patch-configure 
  Log:
  - Update to 2.0.4
  
  PR:             167005 167062
  Submitted by:   Jason Bacon <jwbacon@tds.net>
  
  Revision  Changes      Path
  1.95      +14 -28      ports/devel/swig20/Makefile
  1.40      +2 -2        ports/devel/swig20/distinfo
  1.3       +54 -0       ports/devel/swig20/files/patch-configure (new)
  1.7       +3 -15       ports/devel/swig20/pkg-descr
  1.45      +4114 -3704  ports/devel/swig20/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2012-04-24 13:29:11 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!